/***********************
* Adobe Edge Animate Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 4000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 5000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'next'
   (function(symbolName) {   
   
   })("next");
   //Edge symbol end:'next'

   //=========================================================
   
   //Edge symbol: 'AustraliaScene'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_next}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AustraliaChooseLabel");
         

      });
      //Edge binding end

   })("AustraliaScene");
   //Edge symbol end:'AustraliaScene'

   //=========================================================
   
   //Edge symbol: 'AustraliaChooseMap'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_ayersRock}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Rock");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ayersRock}", "mouseout", function(sym, e) {
         var ayersRock = sym.getSymbol("ayersRock");
         ayersRock.playReverse();
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ayersRock}", "mouseover", function(sym, e) {
         var ayersRock = sym.getSymbol("ayersRock");
         ayersRock.play();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_operaHouse}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Opera");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_operaHouse}", "mouseover", function(sym, e) {
         var operaHouse = sym.getSymbol("operaHouse");
         operaHouse.play();
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_operaHouse}", "mouseout", function(sym, e) {
         var operaHouse = sym.getSymbol("operaHouse");
         operaHouse.playReverse();
         
         
         
         
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_barrierReef}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Barrier");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_barrierReef}", "mouseover", function(sym, e) {
         var barrierReef = sym.getSymbol("barrierReef");
         barrierReef.play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_barrierReef}", "mouseout", function(sym, e) {
         var barrierReef = sym.getSymbol("barrierReef");
         barrierReef.playReverse();
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_passport}", "click", function(sym, e) {
         sym.getComposition().getStage().play("Passport");
         
         
         
         

      });
      //Edge binding end

   })("AustraliaChooseMap");
   //Edge symbol end:'AustraliaChooseMap'

   //=========================================================
   
   //Edge symbol: 'passport'
   (function(symbolName) {   
   
   })("passport");
   //Edge symbol end:'passport'

   //=========================================================
   
   //Edge symbol: 'operaHouse'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("operaHouse");
   //Edge symbol end:'operaHouse'

   //=========================================================
   
   //Edge symbol: 'ayersRock'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("ayersRock");
   //Edge symbol end:'ayersRock'

   //=========================================================
   
   //Edge symbol: 'barrierReef'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("barrierReef");
   //Edge symbol end:'barrierReef'

   //=========================================================
   
   //Edge symbol: 'AustraliaRock'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_rockA}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("rockCorrect");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_rockB}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("rockIncorrect");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_rockC}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("rockIncorrect");
         
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_back}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AustraliaChooseLabel");
         
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backBtnCopy2}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("rockStart");
         

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("AustraliaRock");
   //Edge symbol end:'AustraliaRock'

   //=========================================================
   
   //Edge symbol: 'pyramidC'
   (function(symbolName) {   
   
   })("pyramidC");
   //Edge symbol end:'pyramidC'

   //=========================================================
   
   //Edge symbol: 'pyramidB'
   (function(symbolName) {   
   
   })("pyramidB");
   //Edge symbol end:'pyramidB'

   //=========================================================
   
   //Edge symbol: 'pyramidA'
   (function(symbolName) {   
   
   })("pyramidA");
   //Edge symbol end:'pyramidA'

   //=========================================================
   
   //Edge symbol: 'back'
   (function(symbolName) {   
   
   })("back");
   //Edge symbol end:'back'

   //=========================================================
   
   //Edge symbol: 'btnNext'
   (function(symbolName) {   
   
   })("btnNext");
   //Edge symbol end:'btnNext'

   //=========================================================
   
   //Edge symbol: 'backBtn'
   (function(symbolName) {   
   
   })("backBtn");
   //Edge symbol end:'backBtn'

   //=========================================================
   
   //Edge symbol: 'AustraliaBarrier'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backCopy}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AustraliaChooseLabel");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidACopy}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("barrierIncorrect");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidBCopy}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("barrierIncorrect");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidCCopy}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("barrierCorrect");
         
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btnNextCopy3}", "click", function(sym, e) {
         // insert code for mouse click here
         
      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backBtnCopy5}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("barrierStart");
         
         

      });
      //Edge binding end

   })("AustraliaBarrier");
   //Edge symbol end:'AustraliaBarrier'

   //=========================================================
   
   //Edge symbol: 'pyramidC_1'
   (function(symbolName) {   
   
   })("pyramidC_1");
   //Edge symbol end:'pyramidC_1'

   //=========================================================
   
   //Edge symbol: 'pyramidB_1'
   (function(symbolName) {   
   
   })("pyramidB_1");
   //Edge symbol end:'pyramidB_1'

   //=========================================================
   
   //Edge symbol: 'pyramidA_1'
   (function(symbolName) {   
   
   })("pyramidA_1");
   //Edge symbol end:'pyramidA_1'

   //=========================================================
   
   //Edge symbol: 'AustraliaOpera'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidACopy2}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("operaIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidCCopy2}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("operaIncorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_pyramidBCopy2}", "click", function(sym, e) {
         // insert code for mouse click here// play the timeline from the given position (ms or label)
         sym.play("operaCorrect");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backBtnCopy6}", "click", function(sym, e) {
         // play the timeline from the given position (ms or label)
         sym.play("operaStart");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_backCopy2}", "click", function(sym, e) {
         sym.getComposition().getStage().play("AustraliaChooseLabel");
         
         
         

      });
      //Edge binding end

   })("AustraliaOpera");
   //Edge symbol end:'AustraliaOpera'

   //=========================================================
   
   //Edge symbol: 'pyramidC_2'
   (function(symbolName) {   
   
   })("pyramidC_2");
   //Edge symbol end:'pyramidC_2'

   //=========================================================
   
   //Edge symbol: 'pyramidB_2'
   (function(symbolName) {   
   
   })("pyramidB_2");
   //Edge symbol end:'pyramidB_2'

   //=========================================================
   
   //Edge symbol: 'pyramidA_2'
   (function(symbolName) {   
   
   })("pyramidA_2");
   //Edge symbol end:'pyramidA_2'

})(jQuery, AdobeEdge, "EDGE-145601452");